Info<< "Reading field A\n" << endl;

volScalarField A1
(
    IOobject
    (
        "A1",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);

volScalarField A2
(
    IOobject
    (
        "A2",
        runTime.timeName(),
        mesh,
        IOobject::MUST_READ,
        IOobject::AUTO_WRITE
    ),
    mesh
);


Info<< "Reading transportProperties\n" << endl;

volScalarField alfa1
(
     IOobject
         (
	   "alfa1",
       runTime.timeName(),
	    "/Weights",
       mesh,
	   IOobject::MUST_READ,
       IOobject::AUTO_WRITE		
	 ),
	     mesh
);

volScalarField gamma1
(
     IOobject
         (
	   "gamma1",
	   runTime.timeName(),
	   "/Weights",
	   mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE
	 ),
	     mesh
);



volScalarField beta1
(
     IOobject
         (
	     "beta1",
	     runTime.timeName(),
		 "/Weights",
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField alfa2
(
     IOobject
         (
	   "alfa2",
           runTime.timeName(),
		   "/Weights",
           mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE		
	 ),
	     mesh
);

volScalarField gamma2
(
     IOobject
         (	  "gamma2",
	   runTime.timeName(),
	  "/Weights",
	   mesh,
	   IOobject::MUST_READ,
           IOobject::AUTO_WRITE
	 ),
	     mesh
);


volScalarField beta2
(
     IOobject
         (
	     "beta2",
	     runTime.timeName(),
		 "/Weights",
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);

volScalarField AA
(
     IOobject
         (
	     "AA",
	     runTime.timeName(),
	     mesh,
	     IOobject::MUST_READ,
	     IOobject::AUTO_WRITE
	 ),
	     mesh
);


#include "createFvOptions.H"

